GET api/itemapi/item/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
ItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| descriptions | Dictionary of string [key] and string [value] |
None. |
|
| active | boolean |
None. |
|
| code | string |
Required String length: inclusive between 0 and 30 |
|
| color_id | globally unique identifier |
None. |
|
| customer_id | globally unique identifier |
Required |
|
| grouping_quantity | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| item_service_id | globally unique identifier |
None. |
|
| item_garment_type_id | globally unique identifier |
None. |
|
| item_segment_id | globally unique identifier |
None. |
|
| item_type_id | globally unique identifier |
None. |
|
| purchase_price | decimal number |
None. |
|
| sale_price | decimal number |
None. |
|
| size_id | globally unique identifier |
None. |
|
| supplier_code | string |
String length: inclusive between 0 and 30 |
|
| supplier_description | string |
String length: inclusive between 0 and 100 |
|
| unit | string |
String length: inclusive between 0 and 10 |
|
| weight | integer |
None. |
|
| root_code | string |
String length: inclusive between 0 and 30 |
Response Formats
application/json, text/json
Sample:
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"color_id": "a3549308-d21e-47fb-858c-2500688b863f",
"customer_id": "9ceb00e5-bbbe-483c-b624-6b10121e6e1a",
"grouping_quantity": 1,
"id": "96115b83-afa9-46ee-82ba-4d4468f47e8d",
"item_service_id": "640f861b-6b81-4ba8-a6bb-8053208c141a",
"item_garment_type_id": "911d975f-4da9-4a69-8c07-8b9cb76b83f8",
"item_segment_id": "ba636e26-0a60-4c31-b85c-798699f6cc6a",
"item_type_id": "65c031e2-7e81-442d-a8d6-420ac21770b4",
"purchase_price": 1.0,
"sale_price": 1.0,
"size_id": "5c69bece-5533-4e2e-9aa7-da168377dbcf",
"supplier_code": "sample string 6",
"supplier_description": "sample string 7",
"unit": "sample string 8",
"weight": 1,
"root_code": "sample string 9"
}
application/xml, text/xml
Sample:
<item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<code>sample string 2</code>
<color_id>a3549308-d21e-47fb-858c-2500688b863f</color_id>
<customer_id>9ceb00e5-bbbe-483c-b624-6b10121e6e1a</customer_id>
<grouping_quantity>1</grouping_quantity>
<id>96115b83-afa9-46ee-82ba-4d4468f47e8d</id>
<item_garment_type_id>911d975f-4da9-4a69-8c07-8b9cb76b83f8</item_garment_type_id>
<item_segment_id>ba636e26-0a60-4c31-b85c-798699f6cc6a</item_segment_id>
<item_service_id>640f861b-6b81-4ba8-a6bb-8053208c141a</item_service_id>
<item_type_id>65c031e2-7e81-442d-a8d6-420ac21770b4</item_type_id>
<purchase_price>1</purchase_price>
<root_code>sample string 9</root_code>
<sale_price>1</sale_price>
<size_id>5c69bece-5533-4e2e-9aa7-da168377dbcf</size_id>
<supplier_code>sample string 6</supplier_code>
<supplier_description>sample string 7</supplier_description>
<unit>sample string 8</unit>
<weight>1</weight>
<descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</descriptions>
</item>